GET
Get Workflows
Returns all agents (workflows) in your organization, including both active and archived. Each item includes summary fields тАФ use Get an agent to retrieve the full workflow definition.

Authorizations

Authorization
string
header
required

Interactive user session: the login JWT, sent as Authorization: Bearer <token>.

Query Parameters

status
string | null

Filter by status - can be single value (active/archived) or comma-separated (active,archived)

Response

Successful Response

id
integer
required
name
string
required
status
string
required
created_at
string<date-time>
required
total_runs
integer
required
folder_id
integer | null
workflow_uuid
string | null
agent_kind
enum<string>
default:conversation_flow
Available options:
single_prompt,
conversation_flow